Subject: question

From: [email-masked] (Sai Kee Yeung)
Date: Tue, 28 Dec 93 15:26:05 CST

Dear friends, 
I would appreciate very much if any of you can give me information on 
the following situation.  I was originally holding H1 and my wife H4.
I got my PR approved recently through CSPA and my wife is a LAD.  Due
to some misinformation and confusions, my wife did not apply adjustment
of status previously and I just find out through local INS today that she 
is in illegal status.  Since my priority day is July 2, they did not
allow her to apply as a LAD now.  Is there anyway to adjust her status
to a legal one?  She is a student and actually have registered for the comming
 semester.
Any comments would be appreciated.  Thanks in advance,
Yeung